CRMProjectCategory
This method will get all CRMProjectCategory Objects
GET/api/crm/crmprojectcategories
Query parameters
idstring | |
namestring | |
externalDescriptionstring | |
internalDescriptionstring | |
createdstring | |
updatedstring | |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of CRMProjectCategory objectsarray<CRMProjectCategory>
Show fields (5)
idintegerPrimary key of the project category. Internal ID.
namestringName of the project category.
descriptionstringDescription of the project category.
areasarray<CRMProjectCategoryArea>Areas the project category is assigned to.
Show fields (4)
idintegerPrimary key of the category area. Internal ID.
namestringName of the area.
descriptionstringDescription of the area.
deletedbooleanThis property is used to mark an entity as deleted / archived
deletedbooleanThe category is deleted.
Request
curl --request GET \
--url https://your-instance.iw-erp.de/api/crm/crmprojectcategories \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/crm/crmprojectcategories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/crm/crmprojectcategories"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/crm/crmprojectcategories', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/crm/crmprojectcategories"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/crm/crmprojectcategories")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/crm/crmprojectcategories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.get(
Uri.parse('https://your-instance.iw-erp.de/api/crm/crmprojectcategories'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);Response 200 application/json
[
{
"id": 42,
"name": "Beispiel",
"description": "Text",
"deleted": true
}
]